xcm(1)

NAME
xcm - window region handling

SYNOPSIS
xcm -l [--window-name] [-v]
xcm -p WINDOW_ID
xcm -r --id WINDOW_ID [--geometry WIDTHxHEIGHT+X+Y] [--profile FILENAME.ICC]]
xcm [-h]

DESCRIPTION
The xcm tool handles per window regions and profiles following the X Color Management specification.

OPTIONS

-l  list windows. All windows are listed by ID. --window-name show each window name after the ID.

-p --id=WINDOW_ID
    print window color region informations. --id the X11 window ID as integer.

-r --id WINDOW_ID --geometry WxH+X+Y --profile PROFILE.ICC
    set a window color region. The geometry will be added to the existing regions of the selected window. A geometry of 0x0+0+0 is a request to remove all regions. Overlapping regions are undefined. The ICC profile is optional. --id the X11 window ID as integer. --geometry the window geometry. --profile the region profile to upload.

-d --id WINDOW_ID --geometry WxH+X+Y --profile PROFILE.ICC
    release a window color region. The geometry will be searched and removed in the existing regions of the selected window. --id the X11 window ID as integer. --geometry the window geometry.

GENERAL OPTIONS

-v, --verbose
    increase verbosity

EXAMPLES

Show all windows and their names:
    xcm -l --window-name

Print a windows regions:
    xcm -p -id 12345

Set a windows region to a witdht of 100, a height of 150, 100 pixel from right and 10 pixels from top:
    xcm -r -id 12345 --geometry 100x150+100+10

Set a windows region with a ICC profile:
    xcm -r -id 12345 --geometry 100x150+100+10 --profile ./my_profile.icc

Set a windows region to a Oyranos ICC profile:
    xcm -r -id 12345 --geometry 100x150+100+10 --profile XYZ.icc

Unset all windows regions:
    xcm -r -id 12345 --geometry 0x0+0+0

Delete one window region:
    xcm -d -id 12345 --geometry 100x150+100+10

Print a help text:
    xcm -h

AUTHOR
Kai-Uwe Behrmann (ku.b (at) gmx.de)

COPYRIGHT
(c) 2011-2012, Kai-Uwe Behrmann
License: MIT <http://www.opensource.org/licenses/mit-license.php>

SEE ALSO
xcmedid(1) xcmevents(1) xcmddc(1) libXcm(3) Xcm(3)
http://www.oyranos.org

REPORTING BUGS
at: https://github.com/oyranos-cms/xcm/issues